Report a session commit to the record commit index
curl --request POST \
--url https://api.mnemom.ai/v1/orgs/{org_id}/record/commits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schema": "RecordCommit/v1",
"lineage_key": "<string>",
"repo": "<string>",
"branch": "<string>",
"sha": "<string>",
"patch_id": "<string>"
}
'import requests
url = "https://api.mnemom.ai/v1/orgs/{org_id}/record/commits"
payload = {
"schema": "RecordCommit/v1",
"lineage_key": "<string>",
"repo": "<string>",
"branch": "<string>",
"sha": "<string>",
"patch_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schema: 'RecordCommit/v1',
lineage_key: '<string>',
repo: '<string>',
branch: '<string>',
sha: '<string>',
patch_id: '<string>'
})
};
fetch('https://api.mnemom.ai/v1/orgs/{org_id}/record/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mnemom.ai/v1/orgs/{org_id}/record/commits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'schema' => 'RecordCommit/v1',
'lineage_key' => '<string>',
'repo' => '<string>',
'branch' => '<string>',
'sha' => '<string>',
'patch_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mnemom.ai/v1/orgs/{org_id}/record/commits"
payload := strings.NewReader("{\n \"schema\": \"RecordCommit/v1\",\n \"lineage_key\": \"<string>\",\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"sha\": \"<string>\",\n \"patch_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mnemom.ai/v1/orgs/{org_id}/record/commits")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"schema\": \"RecordCommit/v1\",\n \"lineage_key\": \"<string>\",\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"sha\": \"<string>\",\n \"patch_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mnemom.ai/v1/orgs/{org_id}/record/commits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"schema\": \"RecordCommit/v1\",\n \"lineage_key\": \"<string>\",\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"sha\": \"<string>\",\n \"patch_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"indexed": true,
"sha": "<string>"
}{
"indexed": true,
"sha": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Organizations
Report a session commit to the record commit index
Indexes one commit a session made, so the PR record can count it as bound and later reads can join a PR’s head SHA to its lineage’s conduct record.
POST
/
orgs
/
{org_id}
/
record
/
commits
Report a session commit to the record commit index
curl --request POST \
--url https://api.mnemom.ai/v1/orgs/{org_id}/record/commits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schema": "RecordCommit/v1",
"lineage_key": "<string>",
"repo": "<string>",
"branch": "<string>",
"sha": "<string>",
"patch_id": "<string>"
}
'import requests
url = "https://api.mnemom.ai/v1/orgs/{org_id}/record/commits"
payload = {
"schema": "RecordCommit/v1",
"lineage_key": "<string>",
"repo": "<string>",
"branch": "<string>",
"sha": "<string>",
"patch_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schema: 'RecordCommit/v1',
lineage_key: '<string>',
repo: '<string>',
branch: '<string>',
sha: '<string>',
patch_id: '<string>'
})
};
fetch('https://api.mnemom.ai/v1/orgs/{org_id}/record/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mnemom.ai/v1/orgs/{org_id}/record/commits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'schema' => 'RecordCommit/v1',
'lineage_key' => '<string>',
'repo' => '<string>',
'branch' => '<string>',
'sha' => '<string>',
'patch_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mnemom.ai/v1/orgs/{org_id}/record/commits"
payload := strings.NewReader("{\n \"schema\": \"RecordCommit/v1\",\n \"lineage_key\": \"<string>\",\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"sha\": \"<string>\",\n \"patch_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mnemom.ai/v1/orgs/{org_id}/record/commits")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"schema\": \"RecordCommit/v1\",\n \"lineage_key\": \"<string>\",\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"sha\": \"<string>\",\n \"patch_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mnemom.ai/v1/orgs/{org_id}/record/commits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"schema\": \"RecordCommit/v1\",\n \"lineage_key\": \"<string>\",\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"sha\": \"<string>\",\n \"patch_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"indexed": true,
"sha": "<string>"
}{
"indexed": true,
"sha": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Organization identifier (e.g. org-abc12345)
Body
application/json
Available options:
RecordCommit/v1 The session's gateway lineage key (x-mnemom-lineage-key).
Required string length:
1 - 256owner/name
Pattern:
^[A-Za-z0-9_.-]{1,100}/[A-Za-z0-9_.-]{1,100}$Required string length:
1 - 256The commit SHA, 40 lowercase hex.
Pattern:
^[0-9a-f]{40}$git patch-id --stable of the commit, 40 lowercase hex.
Pattern:
^[0-9a-f]{40}$